MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024687Open CASCADE[OCCT] OCCT:Visualizationpublic2014-03-05 10:262014-11-11 12:51
Reporterapl 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024687: TKOpenGl shader programs - same view state for different v3d views
DescriptionThe GLSL program for some reason shares shader view orientation (projection) state between different views, which have different orientation (projection) specified at level of TKV3d.

There are test cases in v3d glsl test grid, which dump multiple views and have incorrect resulting images after dumping. The appropriate case testing this particular problem should be added.
Steps To Reproducepload ALL
box b 1 2 3
vinit View1
vsetdispmode 1
vaxo
vdisplay b
vfit
vrotate 0.2 0.0 0.0
vinit View2
vfit
--> image1.png (OK)

vshaderprog b phong
vactivate View1
--> image2.png (BAD)
TagsNo tags attached.
Test case numberv3d glsl(013) phong_views
Attached Filespng file icon image1.png (64,680 bytes) 2014-03-05 10:27
png file icon image2.png (67,509 bytes) 2014-03-05 10:27

- Relationships
related to 0024250closedbugmaster Open CASCADE TKOpenGl - per-pixel lighting using GLSL program (Phong shading) 
related to 0024688closedbugmaster Open CASCADE Draw Harness - vdump command makes snapshot only for the first view 

-  Notes
(0028331)
duv (developer)
2014-03-18 18:36

Dear kgv,
Please review patch.
(0028334)
kgv (developer)
2014-03-18 19:17
edited on: 2014-03-18 19:18

Please test the patch in branch CR24687.

(0028370)
mkv (tester)
2014-03-19 18:15

Dear BugMaster,

Branch CR24687 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 3f052e4df4488e566a893e513f3993f00c6c05ac

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24687-master-occt/Debian60-64/v3d/glsl/phong_views.html [^]
http://occt-tests/CR24687-master-occt/Windows-32-VC9/v3d/glsl/phong_views.html [^]
v3d glsl(013) phong_views - OK

Testing on Linux:
Total MEMORY difference: 385934496 / 386276008
Total CPU difference: 45094.63000000015 / 48827.5

Testing on Windows:
Total MEMORY difference: 430627692 / 430913404
Total CPU difference: 33223.984375 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master e6804ff7
Timestamp: 2014-03-20 10:39:23
Author: duv
Committer: bugmaster
Details ] Diff ]
0024687: TKOpenGl shader programs - same view state for different v3d views

OpenGl_ShaderManager::IsSameView() - add const
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-05 10:26 apl New Issue
2014-03-05 10:26 apl Assigned To => san
2014-03-05 10:27 apl File Added: image1.png
2014-03-05 10:27 apl File Added: image2.png
2014-03-05 10:28 apl Relationship added related to 0024250
2014-03-05 10:36 kgv Relationship added related to 0024688
2014-03-11 14:43 kgv Relationship added related to 0024354
2014-03-12 09:44 kgv Priority normal => high
2014-03-18 18:35 duv Assigned To san => duv
2014-03-18 18:36 duv Note Added: 0028331
2014-03-18 18:36 duv Assigned To duv => kgv
2014-03-18 18:36 duv Status new => resolved
2014-03-18 19:17 kgv Note Added: 0028334
2014-03-18 19:17 kgv Assigned To kgv => bugmaster
2014-03-18 19:17 kgv Status resolved => reviewed
2014-03-18 19:18 kgv Note Edited: 0028334 View Revisions
2014-03-18 21:19 mkv Assigned To bugmaster => mkv
2014-03-19 18:15 mkv Note Added: 0028370
2014-03-19 18:16 mkv Test case number => v3d glsl(013) phong_views
2014-03-19 18:16 mkv Assigned To mkv => bugmaster
2014-03-19 18:16 mkv Status reviewed => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master e6804ff7
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker